import {
  IsBoolean,
  IsMilitaryTime,
  IsNumber,
  IsOptional,
} from 'class-validator';

export class InstitucionDiaUpdateDto {
  @IsNumber()
  id_institucion_dia: number;

  @IsBoolean()
  @IsOptional()
  activo: boolean;

  @IsMilitaryTime()
  @IsOptional()
  hora_fin: string;

  @IsMilitaryTime()
  @IsOptional()
  hora_inicio: string;
}
